petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMDASetCoordinateName

Sets the name of the coordinate directions associated with a DMDA, for example "x" or "y"

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDASetCoordinateName(DM dm,PetscInt nf,const char name[])

Logically collective; name must contain a common value

### Input Parameters

| dm | - the DM
| nf | - coordinate number for the DMDA (0, 1, ... dim-1),
| name | - the name of the coordinate

### Notes

It must be called after having called DMSetUp().

Not supported from Fortran

### See Also

DMDAGetCoordinateName(), DMDASetFieldName(), DMDAGetFieldName(), DMSetUp()

### Level

intermediate

### Location

src/dm/impls/da/dacorn.c
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages